package com.caimei365.user.controller;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.po.ServiceProviderModel;
import com.caimei365.user.model.vo.CmProvidersVO;
import com.caimei365.user.service.CmProvidersService;
import com.caimei365.user.utils.BeanUtil;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 服务商入驻Controller
 *
 * @author Kaick
 * @date 2023-12-14
 */
@RestController
@RequestMapping("/user/providers")
public class ProvidersController {
    @Resource
    private CmProvidersService cmProvidersService;


    /**
     * 服务商入驻信息查询
     */
    @GetMapping("/from")
    public ResponseJson getProvidersFrom(Integer serviceProviderId, String providersName,
                                         @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                         @RequestParam(value = "pageSize", defaultValue = "20") int pageSize
    ) {
        PageHelper.startPage(pageNum, pageSize);
        List<ServiceProviderModel> cmProviders = cmProvidersService.getByCmProviders(new ServiceProviderModel().setServiceProviderId(serviceProviderId).setName(providersName).setStatus(90));
        return ResponseJson.success(new PageInfo<>(BeanUtil.setValues(cmProviders, CmProvidersVO.class)));
    }
}
