package com.caimei365.user.feign;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.utils.message.MessageModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/9/8
 */
@FeignClient("CAIMEI365-CLOUD-TOOLS")
public interface ToolsFeign {
    /**
     * 请求发短信接口
     *
     * @param mobile  手机号
     * @param content 内容
     * @return str
     */
    @PostMapping("/tools/sms/send")
    String getSendSms(@RequestParam Integer type, @RequestParam String mobile, @RequestParam String content);

    /**
     * 请求发消息
     */
    @PostMapping("/tools/mq/send")
    String sendCommonMessage(@RequestParam String topic, @RequestParam String content, @RequestParam String tag, @RequestParam Integer sort, @RequestParam Integer async, @RequestParam Integer oneway, @RequestParam Integer delay);

    /**
     * 请求发消息
     */
    @PostMapping("/tools/message/send")
    ResponseJson sendCommonMessage(@RequestBody MessageModel messageModel);


}
