package com.caimei365.user.model.dto;

import com.caimei365.user.model.vo.PortraitMap;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/27
 */
@Data
public class CmPortraitDto {
    /**
     * 机构id
     */
    private Integer clubId;
    /**
     * 机构名称
     */
    private String clubName;
    /**
     * 日期类别 0日 1月 2半年 3全年
     */
    private Integer dateType;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 统计类别 0订单 1搜索关键词 2咨询记录 3访问记录 4初始状态
     */
    private Integer type;
    /**
     * 时间
     */
    private String accessDate;
    /**
     * 订单总量
     */
    private Integer orderTotal;
    /**
     * 当前范围订单总金额
     */
    private double orderScopeTotalFee;
    /**
     * 当前订单范围总量
     */
    private Integer orderScopeNum;
    /**
     * 订单总金额
     */
    private BigDecimal orderTotalAmount;
    /**
     * 订单类型值value  订单类型name
     */
    private ArrayList<PortraitMap> orderPortrait;
    /**
     * 搜索关键词总数
     */
    private Integer totalKeywords;
    /**
     * 当前关键词范围总量
     */
    private Integer keyWordsScopeNum;
    /**
     * 搜索关键词数量
     */
    private ArrayList<Integer> behaviorValue;
    /**
     * 搜索关键词
     */
    private ArrayList<String> behaviorType;
    /**
     * 咨询记录总数
     */
    private Integer remarksTotal;
    /**
     * 当前咨询记录范围总量
     */
    private Integer remarksScopeNum;
    /**
     * 咨询记录数
     */
    private ArrayList<Integer> remarksValue;
    /**
     * 咨询记录关键词
     */
    private ArrayList<String> remarksType;
    /**
     * 访问记录数
     */
    private ArrayList<Integer> pageTypeValue;
    /**
     * 访问词
     */
    private ArrayList<String> pageType;
}
