package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/29
 */
@ApiModel("微信扫码后绑定机构账号")
@Data
public class ScanBindDto implements Serializable {
    /**
     * 手机号或邮箱
     */
    @NotNull
    @ApiModelProperty("手机号或邮箱")
    private String mobileOrEmail;
    /**
     * 密码
     */
    @NotNull
    @ApiModelProperty("密码")
    private String password;
    /**
     * 手机号
     */
    @NotNull
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 手机验证码
     */
    @NotNull
    @ApiModelProperty("手机验证码")
    private String smsCode;
    /**
     * 微信unionId
     */
    @NotNull
    @ApiModelProperty("微信unionId")
    private String unionId;
    /**
     * 联系人
     */
    @NotNull
    @ApiModelProperty("联系人")
    private String linkName;
    /**
     * 公司账号手机号
     */
    @ApiModelProperty("公司账号手机号")
    private String companyMobile;

    /**
     * 密码或者短信验证
     * 0 密码验证 1 短信
     */
    @NotNull
    @ApiModelProperty("密码或者短信验证")
    private String passOrNote;
}
