package com.caimei365.user.model.po;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;

/**
 * 文件资源对象 cm_brand_files
 * 
 * @author Kaick
 * @date 2023-05-31
 */
@Accessors(chain = true)
@Alias("CmBrandFiles")
public class CmBrandFiles implements Serializable
{
    private static final Long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 视频文件分类：1供应商落地页 */
    private String type;

    /** 父id */
    private String superId;

    /** 文件名 */
    private String fileName;

    /** oss名称 */
    private String ossName;

    /** 水印oss名称 */
    private String waterOssName;

    /** oss链接 */
    private String ossUrl;

    /** 水印oss链接 */
    private String waterOssUrl;

    /** html链接 */
    private String htmlUrl;

    /** 上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date uploadTime;

    /** 删除状态 0正常，其他删除 */
    private String delFlag;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSuperId(String superId) 
    {
        this.superId = superId;
    }

    public String getSuperId() 
    {
        return superId;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setOssName(String ossName) 
    {
        this.ossName = ossName;
    }

    public String getOssName() 
    {
        return ossName;
    }
    public void setWaterOssName(String waterOssName) 
    {
        this.waterOssName = waterOssName;
    }

    public String getWaterOssName() 
    {
        return waterOssName;
    }
    public void setOssUrl(String ossUrl) 
    {
        this.ossUrl = ossUrl;
    }

    public String getOssUrl() 
    {
        return ossUrl;
    }
    public void setWaterOssUrl(String waterOssUrl) 
    {
        this.waterOssUrl = waterOssUrl;
    }

    public String getWaterOssUrl() 
    {
        return waterOssUrl;
    }
    public void setHtmlUrl(String htmlUrl) 
    {
        this.htmlUrl = htmlUrl;
    }

    public String getHtmlUrl() 
    {
        return htmlUrl;
    }
    public void setUploadTime(Date uploadTime) 
    {
        this.uploadTime = uploadTime;
    }

    public Date getUploadTime() 
    {
        return uploadTime;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("superId", getSuperId())
            .append("fileName", getFileName())
            .append("ossName", getOssName())
            .append("waterOssName", getWaterOssName())
            .append("ossUrl", getOssUrl())
            .append("waterOssUrl", getWaterOssUrl())
            .append("htmlUrl", getHtmlUrl())
            .append("uploadTime", getUploadTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}