package com.caimei365.user.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 供应商落地页资源对象 cm_brand_landing
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Accessors(chain = true )
@Data
@Alias("CmBrandLandingVO")
public class CmBrandLandingVO implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 分类：1成功案例，2增长社区-视频列表，3增长社区-文章列表， 4信息中心导航栏(info_type)（已弃用） ， 5信息中心首页轮播图 */
    private String type;

    /** 供应商id */
    private String authUserId;

    /** 归属者Id（type字段表Id） */
    private String authorId;

    /** pc端picture */
    private String headPcBanner;

    /** 移动端picture */
    private String headAppBanner;

    /** picture跳转方式状态：0无，1图片，2链接 */
    private String jumpStatus;

    /** pc端picture跳转图片 */
    private String jumpPcPicture;

    /** 移动端picture跳转图片 */
    private String jumpAppPicture;

    /** picture跳转链接 */
    private String jumpLink;

    /** 标题
     */
    private String title;

    /** 内容
     */
    private String content;

    /** 视频文件 cm_brand_files表id */
    private String video;

    /** 排序 */
    private String sort;

    /** pc端status 1启用，0停用 */
    private String pcStatus;

    /**
     * 移动端status 1启用，0停用
     */
    private String appStatus;

    /**
     * 子级分类： （type=4）{1 大图，2小图}（已弃用），（type=5）{1 大图，2小图，2小图}
     */
    private String levelType;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime;

    /**
     * 文件资料
     */
    private List<CmBrandFilesVO> cmBrandFiles;


}
