package com.caimei365.user.model.vo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 对象 cm_providers VO对象
 *
 * @author Kaick
 * @date 2023-12-14
 */
@Accessors(chain = true)
@Data
public class CmProvidersVO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String serviceProviderId;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 服务商名称
     */
    private String name;

    /**
     * 服务商级别为：1级，2级，3级
     */
    private Integer serviceLevel;

    /**
     * 服务商类型: 1个人，1企业
     */
    private Integer serviceCategory;

    /**
     * 服务商地址
     */
    private String address;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 简介
     */
    private String text;

    /**
     * 服务商二维码
     */
    private String qrCodeImage;

    /**
     * 资格证书图片
     */
    private String qualificationImage;

    /**
     * 资格证书编号
     */
    private String qualificationId;

    /**
     * 相关简介图集合
     */
    private List<String> textRelateds;

}
