package com.caimei365.user.service.impl;

import java.util.Date;
import java.util.List;

import com.caimei365.user.mapper.CmBrandBannerMapper;
import com.caimei365.user.model.po.CmBrandBanner;
import com.caimei365.user.model.vo.CmBrandBannerVO;
import com.caimei365.user.service.CmBrandBannerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 首页bannerService业务层处理
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Service
public class CmBrandBannerServiceImpl implements CmBrandBannerService
{
    @Autowired
    private CmBrandBannerMapper cmBrandBannerMapper;

    /**
     * 查询首页banner
     *
     * @param id 首页banner主键
     * @return 首页banner
     */
    @Override
    public CmBrandBanner selectCmBrandBannerById(String id)
    {
        return cmBrandBannerMapper.selectCmBrandBannerById(id);
    }

    /**
     * 查询首页banner列表
     *
     * @param cmBrandBanner 首页banner
     * @return 首页banner
     */
    @Override
    public List<CmBrandBanner> selectCmBrandBannerList(CmBrandBanner cmBrandBanner)
    {
        return cmBrandBannerMapper.selectCmBrandBannerList(cmBrandBanner);
    }

    /**
     * 新增首页banner
     *
     * @param cmBrandBanner 首页banner
     * @return 结果
     */
    @Override
    public int insertCmBrandBanner(CmBrandBanner cmBrandBanner)
    {
        return cmBrandBannerMapper.insertCmBrandBanner(cmBrandBanner);
    }

    /**
     * 修改首页banner
     *
     * @param cmBrandBanner 首页banner
     * @return 结果
     */
    @Override
    public int updateCmBrandBanner(CmBrandBanner cmBrandBanner)
    {
        cmBrandBanner.setUpdateTime(new Date());
        return cmBrandBannerMapper.updateCmBrandBanner(cmBrandBanner);
    }

    /**
     * 批量删除首页banner
     *
     * @param ids 需要删除的首页banner主键
     * @return 结果
     */
    @Override
    public int deleteCmBrandBannerByIds(String[] ids)
    {
        return cmBrandBannerMapper.deleteCmBrandBannerByIds(ids);
    }

    /**
     * 删除首页banner信息
     *
     * @param id 首页banner主键
     * @return 结果
     */
    @Override
    public int deleteCmBrandBannerById(String id)
    {
        return cmBrandBannerMapper.deleteCmBrandBannerById(id);
    }
}
