package com.caimei365.user.utils;

import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.BeanUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ：Kaick
 * @date ：Created in 2023/10/27
 * @description：BeanUtil
 */
public class BeanUtil {

    public static <T, S> T setValue(S source, Class<T> clazz) {
        if (null == source) {
            return null;
        }
        T target = BeanUtils.instantiate(clazz);
        BeanUtils.copyProperties(source, target);
        return target;
    }

    public static <T, S> List<T> setValues(List<S> sourceList, Class<T> target) {
        if (CollectionUtils.isEmpty(sourceList)) {
            return new ArrayList<>();
        }
        List<T> targetList = new ArrayList<>(sourceList.size());
        sourceList.forEach(s -> targetList.add(setValue(s, target)));
        return targetList;
    }
}
